{% extends "styleguide2/base.html" %}
{% load wagtailcore_tags %}

{% block content %}
  {% block navbar %}
    {% include 'styleguide2/includes/organisms/layout/main/navbar.html' with selected_item=page.get_menu_title %}
  {% endblock %}

  {% include 'styleguide2/includes/organisms/header/simple_header.html' with title=page.title %}

  <main role="main" class="mb-10 xl:mb-32">
    <div class="mb-2 lg:mb-12 container--wide">
      <div class="flex flex-col gap-16">
        {% for headlined_card_block in page.headlined_cards_content %}
          <div>
            {% include_block headlined_card_block %}
          </div>
        {% endfor %}

        {% if page.cards_content|length != 0 %}
          <ul class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 content-stretch gap-8">
            {% for card_block in page.cards_content %}
              {% include_block card_block %}
            {% endfor %}
          </ul>
        {% endif %}
      </div>
    </div>
  </main>
{% endblock %}
